Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket.messaging
Class LeafSetResponseMessage

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.messaging.PRawMessage
              rice.pastry.socket.messaging.SocketMessage
                  rice.pastry.socket.messaging.LeafSetResponseMessage

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage

    public class LeafSetResponseMessage

extends SocketMessage

A response message to a LeafSetRequestMessage, containing the remote node's leafset.

Version:
  $Id: LeafSetResponseMessage.java 3274 2006-05-15 16:17:47Z jeffh $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`static short` | `TYPE` DESCRIBE THE FIELD

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`LeafSetResponseMessage(InputBuffer buf, NodeHandleFactory nhf)` Constructor for LeafSetResponseMessage.
`LeafSetResponseMessage(LeafSet leafset)` Constructor

Method Summary
`LeafSet` | `getLeafSet()` Returns the leafset of the receiver.
`short` | `getType()` Raw Serialization **************************************
`void` | `serialize(OutputBuffer buf)` DESCRIBE THE METHOD

Methods inherited from class rice.pastry.messaging.Message
`getDate, getDestination, getPriority, getSender, getSenderId, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface rice.p2p.commonapi.Message
`getPriority`

Field Detail

### TYPE

    public static final short TYPE

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

Constructor Detail

### LeafSetResponseMessage

    public LeafSetResponseMessage(LeafSet leafset)

  Constructor

  Parameters:
    `leafset` - The leafset of the receiver of the LeafSetRequestMessage.

### LeafSetResponseMessage

    public LeafSetResponseMessage(InputBuffer buf,
                                  NodeHandleFactory nhf)
                           throws java.io.IOException

  Constructor for LeafSetResponseMessage.

  Parameters:
    `buf` - DESCRIBE THE PARAMETER
    `nhf` - DESCRIBE THE PARAMETER
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

Method Detail

### getLeafSet

    public LeafSet getLeafSet()

  Returns the leafset of the receiver.

  Returns:
    The LeafSet of the receiver node.

### getType

    public short getType()

  Raw Serialization **************************************

  Returns:
    The Type value

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  DESCRIBE THE METHOD

  Parameters:
    `buf` - DESCRIBE THE PARAMETER
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.